<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_e06da3ff" . "ba2e84b8e" . "6f94bd2d6" . "ca3c52" => base64_decode("Y3JlYXRlX2lu" . "dGVybmFsX2xp" . "bms="), "_8ec8f26c742278f90615f50" . "d682eea79" => base64_decode("UE9T" . "VA=="), "_87daa84e346f64" . "20a3f3426e05d16" . "a7b" => base64_decode("L" . "w" . "=" . "="), "_e6d18c493faa20d5d45c0751d2c" . "02ce6" => base64_decode("TG9jY" . "XRpb2" . "46IA=" . "="), "_ab8b6a5b56b4" . "cfd73230ed5ca" . "d4fb54c" => base64_decode("Y29yZ" . "S5ib2" . "90ZWQ" . "="), "_2b2486424e6dfb906c92573" . "9c329be7c" => base64_decode("aG" . "Vh" . "ZG" . "Vy"), "_8fec21706" . "bd243b37ec" . "f62b1caf8f" . "b8a" => base64_decode("Y2x" . "p"), "_fad3a97fa7919b1999c977c8" . "bdad925a" => base64_decode("c3ltZm9ueV9yZ" . "XF1ZXN0"), "_eea266d1da508f" . "42deea49cc3add6" . "8ec" => base64_decode("U" . "F" . "V" . "U"), "_781e2532c1e56969c535c11840" . "64bae6" => base64_decode("b25D" . "b3Jl" . "Qm9v" . "dA=="), "_4d707fab93bebb00bbe69e8159697" . "c90" => base64_decode(""), "_14feb73099827a30c31c" . "0b996c13f13c" => base64_decode("b25LZXJuZWx" . "SZXF1ZXN0"), "_c91b0ff19f" . "81a8873a459" . "3a23719472c" => base64_decode("cnRyaW0" . "="), "_db7b295629f" . "aa16027a2c26" . "3095eba70" => base64_decode("cGhwX3NhcGl" . "fbmFtZQ=="), "_bd8510ebf29b0f68" . "7c25c90c740715d8" => base64_decode("aHR0cF9yZXNwb25zZV9" . "jb2Rl"));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c91b0ff19f81a8873a" . "4593a23719472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_87daa84e346f6420a3f3426" . "e05d16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_14feb73099827a" . "30c31c0b996c13f" . "13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_ab8b6a5b" . "56b4cfd73" . "230ed5cad" . "4fb54c"] => $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_781e2532c1e56969c535c1184064b" . "ae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4d707fab93bebb00bbe69e8" . "159697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8ec8f26c742278f" . "90615f50d682eea7" . "9"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_eea266d1da50" . "8f42deea49cc3" . "add68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_db7b295629faa16027a2c26309" . "5eba70"]() === $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8fec21706bd243b37ecf6" . "2b1caf8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_fad3a97fa7919b1999c977c8bda" . "d925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e06da3ffba2e84b8e6f94" . "bd2d6ca3c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe69e815969" . "7c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bd8510ebf29b0f68" . "7c25c90c740715d8"](301);
            $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2b2486424e6dfb906c925739c329b" . "e7c"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e6d18c493faa20d5d45c0" . "751d2c02ce6"] . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e06da3ff" . "ba2e84b8e" . "6f94bd2d6" . "ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}